Package org.eclipse.emf.cdo.spi.server

## Interface IAppExtension4

- All Superinterfaces:
    `IAppExtension`

      public interface IAppExtension4
      extends IAppExtension

  An optional extension of the `IAppExtension` interface for `prioritized` app extensions.
  Since:
    4.12
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.util.Comparator<IAppExtension>` | `COMPARATOR` |
    `static int` | `PRIORITY_DEFAULT` |
    `static int` | `PRIORITY_NETWORK` |
    `static int` | `PRIORITY_SECURITY` |

    - ### Fields inherited from interface org.eclipse.emf.cdo.spi.server.IAppExtension

      `EXT_POINT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getPriority()` |
    `static int` | `getPriority​(IAppExtension appExtension)` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.spi.server.IAppExtension

      `start, stop`

- - ### Field Detail

    - #### PRIORITY_NETWORK

          static final int PRIORITY_NETWORK

      See Also:
        Constant Field Values

    - #### PRIORITY_SECURITY

          static final int PRIORITY_SECURITY

      See Also:
        Constant Field Values

    - #### PRIORITY_DEFAULT

          static final int PRIORITY_DEFAULT

      See Also:
        Constant Field Values

    - #### COMPARATOR

          static final java.util.Comparator<IAppExtension> COMPARATOR

  - ### Method Detail

    - #### getPriority

          int getPriority()

    - #### getPriority

          static int getPriority​(IAppExtension appExtension)